View Issue Details

IDProjectCategoryView StatusLast Update
0024524LazarusIDEpublic2014-01-26 18:24
ReporterJoe MertenAssigned ToMartin Friebe 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product VersionProduct Build 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0024524: Default setting for "Tab indents blocks"
DescriptionAll modern IDEs are using the tab-key for block indent/unindent.
But the default setting in the Lazarus editor works still as the Turbo Pascal editors from the eighties do:
Pressing the tab-key replaces the selected text with a tab.

I vote for changing the default for "Tab indents blocks" to active.
TagsNo tags attached.
Fixed in Revision43814
LazTarget1.4
Widgetset
Attached Files

Activities

Martin Friebe

2014-01-26 17:04

manager   ~0072695

Changed.
This will only be in 1.4. It will only affect new installations, existing configurations are not changed.

Issue History

Date Modified Username Field Change
2013-05-31 12:56 Joe Merten New Issue
2014-01-25 20:50 Martin Friebe Assigned To => Martin Friebe
2014-01-25 20:50 Martin Friebe Status new => assigned
2014-01-26 17:04 Martin Friebe Fixed in Revision => 43814
2014-01-26 17:04 Martin Friebe LazTarget => 1.4
2014-01-26 17:04 Martin Friebe Note Added: 0072695
2014-01-26 17:04 Martin Friebe Status assigned => resolved
2014-01-26 17:04 Martin Friebe Fixed in Version => 1.3 (SVN)
2014-01-26 17:04 Martin Friebe Resolution open => fixed
2014-01-26 17:04 Martin Friebe Target Version => 1.4